/*
 *  Да се напише програма, която по въведени числа x и y,
 *  извежда на екрана, дали точка с тези координати, лежи във фигура,
 *  която в първи и трети квадрант е кръг с радиус 1,
 *  а в 2 и 4 - квадрат с радиус 1.
 *
 *  Ако точката лежи на контура, трябва да се изведе съответното съобщение.
 */
#include <iostream>
#include <cmath>
using namespace std;

const float PI = 3.141592;

int main() {

    float x, y;

    cout << "x = ";
    cin >> x;

    cout << "y = ";
    cin >> y;

    int answer = 0;

    if(x * y >= 0) {

        // First or third quadrant
        float sqrDistance = x * x + y * y;

        if(sqrDistance < 1) {
            answer = 2;
        } else if (sqrDistance == 1) {
            answer = 1;
        }

    } else {

        // Second or fourth quadrant
        float absX = x >= 0 ? x : -x;
        float absY = y >= 0 ? y : -y;

        if(absX < 1 && absY < 1) {
            answer = 2;
        } else if (absX > 1 || absY > 1) {
            answer = 0;
        } else {
            answer = 1;
        }
    }

    if(answer == 0) {
        cout << "The point is outside the figure!";
    } else if(answer == 1) {
        cout << "The point is on the line!";
    } else {
        cout << "The point is inside the figure!";
    }
    cout << endl;

    return 0;
}
